import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { Dropdown } from './Dropdown';

const options = [
  { value: 'goldfish', label: 'Goldfish' },
  { value: 'dog', label: 'Dog' },
  { value: 'cat', label: 'Cat' },
  { value: 'hamster', label: 'Hamster' },
  { value: 'parrot', label: 'Parrot' },
  { value: 'spider', label: 'Spider' },
];

const initialValue = 'hamster';
const App = () => {
  const [selectedValue, setSelectedValue] = useState(
    initialValue
  );
  console.log(selectedValue);
  return (
    <>
      <label for="pet-select">Choose a pet:</label>
      <Dropdown
        options={options}
        id="pet-select"
        selectedXValue={selectedValue}
        onSelectedValueChange={setSelectedValue}
      />
    </>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
